<script type="text/javascript">
	$(document).ready(function (e) {
	    $("#add_category").submit(function(e) {
	        e.preventDefault();
	        var name = $("#name").val();
	        var date = $("#date").val();
	        var amount = $("#amount").val();
	        if (name == "" || date == "" || amount == "") {
	        	swal("{{trans('sarf.empty_fields_are_not_allowed')}}","warn");
	        	$("#name").focus();
	        }else{
	        	loading();
		        var form_data = new FormData(this);
		        $.ajax({
		            url: '{{url("/Subscription_list/save")}}',
		            type: 'POST',
		            data: form_data,
		            headers: {
			            'X-CSRF-TOKEN': '{{ csrf_token()}}'
			        },
		            contentType: false,
			        processData: false,
			        cache: false,
			        dataType: 'json',
		            
		        })
		        .done(function (res) {
		           swal(res.text,res.cls);
		           window.location.reload();
		        })
		        .fail(function () {
		            console.log("error");

		        }).always(function(){
		        	loading("stop");
		        });
	        }
	    });

	    $("#update_category").submit(function(e) {
            e.preventDefault();
            loading();
            var form_data = new FormData(this);
            console.log(form_data);
            $.ajax({
                url: '{{url("/Subscription_list/update")}}',
                type: 'post',
                data: form_data,
                headers: {
		            'X-CSRF-TOKEN': '{{ csrf_token()}}'
		        },
	            contentType: false,
		        processData: false,
		        cache: false,
		        dataType: 'json',

            })
            .done(function(res) {
                swal(res.text,res.cls);
                window.location.reload();
            })
            .fail(function() {
                console.log("error");
            })
            .always(function() {
                loading("stop");
            });
        });
	});

	$(document).on('change', '.state_switch', function(event) {
		event.preventDefault();
    	loading();
        var cid = $(this).val();
        $.ajax({
            url: '{{url("/Subscription_list/status")}}',
            type: 'post',
            dataType:'json',
            data: {_token: '{!! csrf_token() !!}', id: cid}
        })
        .done(function (response) {
        	swal(response.text,response.cls);
        })
        .fail(function () {
            console.log("error");

        }).always(function(){
        	loading("stop");
        });
	});

	$(document).on('click', '.btn-delete', function(event) {
	    event.preventDefault();
	    if(confirm("{{trans('sarf.are_you_sure_to_delete')}}")){
		    loading();
		    let id = $(this).val();
		    $.ajax({
		        url: '{{url("/Subscription_list/destroy")}}',
		        type: 'post',
		        dataType:'json',
		        data: {_token: '{!! csrf_token() !!}', id: id},
		    })
		    .done(function(response) {
		        swal(response.text,response.cls);
		        $("#"+id).hide(1000);
		    })
		    .fail(function() {
		        console.log("error");
		    })
		    .always(function() {
		        loading("stop");
		    });
		}
	});

	function add_category(){
	  $("#status_msg").html('');
	 try{
	 	loading();
	   $("#addcategory").modal("show");
	   $.ajax({
	     url: '{{url("/Subscription_list/add")}}',
	     data:{
	       _token: '{!! csrf_token() !!}',
	     },
	     type: 'POST',
	     cache:false,
	     success: function(frm){
	       $("#box").html(frm);
	       loading("stop");
	       },
	     error: function(xhr){
	       $("#box").html(xhr.status+' '+xhr.statusText);
	       }
	     });
	   }catch(e){
	     alert(e.message);
	   }
	 };

	 function edit_category(id){
	   $("#status_update").html('');
	  try{
	  	loading();
	    $("#editcategory").modal("show");
	    $.ajax({
	      url: '{{url("/Subscription_list/edit")}}',
	      data:{
	        _token: '{!! csrf_token() !!}',
	        id:id
	      },
	      type: 'POST',
	      cache:false,
	      success: function(frm){
	        $("#box_edit").html(frm);
	        loading("stop");
	        },
	      error: function(xhr){
	        $("#box_edit").html(xhr.status+' '+xhr.statusText);
	        }
	      });
	    }catch(e){
	      alert(e.message);
	    }
	  };
</script>